## vite 1.0+svn834

=== documentation/technical_manual/Makefile ===
SRC = 	technical_manual.tex \
	tokensource.tex \
	interface.tex \
	render.tex \
	Line.tex \
	Definition.tex \
	ParserDefinitionDecoder.tex \
	ParserPaje.tex

DOC =	technical_manual

.PHONY	= clean cleanout cleanall

default	: $(DOC).pdf

$(DOC).pdf :  $(DOC).dvi
	dvipdf $(DOC).dvi

$(DOC).dvi :  $(SRC)
	latex $(DOC).tex
	latex $(DOC).tex
	latex $(DOC).tex

clean :
	rm -f *~ *.aux *.log *.toc *.out

cleanout :
	rm -f $(DOC).dvi $(DOC).pdf

cleanall : clean cleanout
