## vite 1.1

=== CMakeLists.txt ===
PROJECT(VITE CXX C)

CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

IF(COMMAND CMAKE_POLICY)
  # CMP0003: add the link paths to the link command as with cmake 2.4
  CMAKE_POLICY(SET CMP0003 NEW)
ENDIF(COMMAND CMAKE_POLICY)

FIND_PACKAGE(Qt4
  COMPONENTS QtCore  QtGui QtXml REQUIRED)
SET(QT_USE_QTUITOOLS ON)
SET(QT_USE_QTOPENGL ON)
INCLUDE(${QT_USE_FILE})

OPTION(VITE_ENABLE_VBO "Enable the support of VBO." OFF)
IF(VITE_ENABLE_VBO)
  INCLUDE(cmake/FindGLEW.cmake)
ENDIF(VITE_ENABLE_VBO)

OPTION(VITE_ENABLE_OTF "Enable the support of OTF file format." OFF)
IF(VITE_ENABLE_OTF)
  INCLUDE(cmake/FindOTF.cmake)
ENDIF(VITE_ENABLE_OTF)


SUBDIRS(src)
