=== documentation/technical_manual/Makefile ===
--- 
+++ 
@@ -1,11 +1,14 @@
 SRC = 	technical_manual.tex \
-	tokensource.tex \
+	convention.tex \
+	DataStructure.tex \
+	introduction.tex \
 	interface.tex \
 	render.tex \
-	Line.tex \
-	Definition.tex \
-	ParserDefinitionDecoder.tex \
-	ParserPaje.tex
+	render_svg.tex \
+	ParserOTF.tex \
+	ParserViTE.tex \
+	ParserPaje.tex \
+	statistic.tex
 
 DOC =	technical_manual
