=== documentation/user_manual/Makefile ===
SRC = 	authors.tex \
	how_to_use.tex \
	introduction.tex \
	user_manual.tex \
	FAQ.tex \
	shortcuts.tex

DOC =	user_manual

.PHONY	= clean cleanout cleanall

default	: $(DOC).pdf

$(DOC).pdf :  $(DOC).dvi
	dvipdf $(DOC).dvi

$(DOC).dvi :  $(SRC)
	latex $(DOC).tex
	latex $(DOC).tex
	latex $(DOC).tex

clean :
	$(RM) *~ *.aux *.log *.toc *.dvi *.pdf *.out

cleanout :
	$(RM) $(DOC).dvi $(DOC).pdf

cleanall : clean cleanout
