=== tests/interface/Makefile ===
#############################################################################
# Makefile for building: test_area
# Generated by qmake (2.01a) (Qt 4.4.0) on: ven. juil. 24 21:20:55 2009
# Project:  interface.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile interface.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DTEST_SVG_MODE -DQT_XML_LIB -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtUiTools -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -I/usr/X11R6/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,--no-undefined
LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/X11R6/lib -lglut -lGLEW -lQtXml -lQtOpenGL -lQtGui -lQtCore -lQtUiTools -lGLU -lGL -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ../../bin/

####### Files

SOURCES       = test_area.cpp \
		../../src/message/Message.cpp \
		../../src/render/Render_opengl.cpp \
		../../src/render/render_svg.cpp moc_Render_opengl.cpp
OBJECTS       = ../../bin/test_area.o \
		../../bin/Message.o \
		../../bin/Render_opengl.o \
		../../bin/render_svg.o \
		../../bin/moc_Render_opengl.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/uitools.prf \
		/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		interface.pro
QMAKE_TARGET  = test_area
DESTDIR       = 
TARGET        = test_area

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: interface.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/uitools.prf \
		/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtOpenGL.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtUiTools.prl
	$(QMAKE) -unix -o Makefile interface.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/uitools.prf:
/usr/share/qt4/mkspecs/features/unix/opengl.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtXml.prl:
/usr/lib/libQtOpenGL.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtUiTools.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile interface.pro

dist: 
	@$(CHK_DIR_EXISTS) ../../bin/test_area1.0.0 || $(MKDIR) ../../bin/test_area1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../../bin/test_area1.0.0/ && $(COPY_FILE) --parents resource_test.hpp test_area.hpp ../../src/main_resource.hpp ../../src/message/Message.hpp ../../src/interface/interface.hpp ../../src/interface/resource.hpp ../../src/render/Render_opengl.hpp ../../src/render/render.hpp ../../src/render/render_svg.hpp ../../bin/test_area1.0.0/ && $(COPY_FILE) --parents test_area.cpp ../../src/message/Message.cpp ../../src/render/Render_opengl.cpp ../../src/render/render_svg.cpp ../../bin/test_area1.0.0/ && (cd `dirname ../../bin/test_area1.0.0` && $(TAR) test_area1.0.0.tar test_area1.0.0 && $(COMPRESS) test_area1.0.0.tar) && $(MOVE) `dirname ../../bin/test_area1.0.0`/test_area1.0.0.tar.gz . && $(DEL_FILE) -r ../../bin/test_area1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


test_svg:

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_Render_opengl.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_Render_opengl.cpp
moc_Render_opengl.cpp: ../../src/render/render.hpp \
		../../src/render/resource.hpp \
		../../src/render/Render_area.hpp \
		../../src/render/Render_opengl.hpp
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) ../../src/render/Render_opengl.hpp -o moc_Render_opengl.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

../../bin/test_area.o: test_area.cpp test_area.hpp \
		resource_test.hpp \
		../../src/main_resource.hpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../../bin/test_area.o test_area.cpp

../../bin/Message.o: ../../src/message/Message.cpp ../../src/message/Message.hpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../../bin/Message.o ../../src/message/Message.cpp

../../bin/Render_opengl.o: ../../src/render/Render_opengl.cpp ../../src/render/Render_area.hpp \
		../../src/render/resource.hpp \
		../../src/render/Render_opengl.hpp \
		../../src/render/render.hpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../../bin/Render_opengl.o ../../src/render/Render_opengl.cpp

../../bin/render_svg.o: ../../src/render/render_svg.cpp ../../src/render/render_svg.hpp \
		../../src/render/render.hpp \
		../../src/render/resource.hpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../../bin/render_svg.o ../../src/render/render_svg.cpp

../../bin/moc_Render_opengl.o: moc_Render_opengl.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../../bin/moc_Render_opengl.o moc_Render_opengl.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:
