## vite 1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,10 +18,14 @@
   INCLUDE(cmake/FindGLEW.cmake)
 ENDIF(VITE_ENABLE_VBO)
 
-OPTION(VITE_ENABLE_OTF "Enable the support of OTF file format." OFF)
+OPTION(VITE_ENABLE_OTF "Enable the support of OTF file format." ON)
 IF(VITE_ENABLE_OTF)
   INCLUDE(cmake/FindOTF.cmake)
 ENDIF(VITE_ENABLE_OTF)
 
+OPTION(VITE_ENABLE_TAU "Enable the support of TAU file format." ON)
+IF(VITE_ENABLE_TAU)
+  INCLUDE(cmake/FindTAU.cmake)
+ENDIF(VITE_ENABLE_TAU)
 
 SUBDIRS(src)
