=== src/CMakeLists.txt ===
--- 
+++ 
@@ -46,9 +46,8 @@
   common/Message.hpp
   common/Errors.hpp
   common/Tools.hpp
-  common/info.hpp
+  common/Info.hpp
   common/Session.hpp
-  common/trace.h
   common/Memory.hpp
   # Data structure headers
   trace/values/Color.hpp
@@ -83,9 +82,11 @@
   trace/DrawTree.hpp
   trace/Trace.hpp
   # Render headers
+  render/Palette.hpp
   render/Render.hpp
   render/Geometry.hpp
   render/Hook_event.hpp
+  render/Minimap.hpp
   render/Render_opengl.hpp
   render/Render_svg.hpp
   render/render_stats.hpp
@@ -94,20 +95,22 @@
   render/Ruler.hpp
   # Interface headers
   interface/resource.hpp
-  interface/parsing_thread.hpp
   interface/Interface.hpp
+  interface/Settings_window.hpp
   interface/Interface_graphic.hpp
   # Core header
   core/Core.hpp
   # Parser headers
-  parser/Definition.hpp
-  parser/Line.hpp
+  parser/ParsingThread.hpp
   parser/Parser.hpp
+  parser/ParserFactory.hpp
+  # Paje 
+  parser/PajeDefinition.hpp
+  parser/PajeFileManager.hpp
   parser/ParserDefinitionPaje.hpp
   parser/ParserEventPaje.hpp
   parser/ParserPaje.hpp
   parser/ParserVite.hpp
-  parser/File.hpp
   # Statistics headers
   statistics/Stats_window.hpp
   statistics/Statistic.hpp
@@ -117,10 +120,13 @@
   statistics/DrawCounter.hpp
   # Plugin header
   plugin/Command_window.hpp
+  plugin/Plugin_window.hpp
+  plugin/Plugin.hpp
 )
 
 SET(VITE_UIS
   interface/info_window.ui
+  interface/settings.ui
   interface/main_window.ui
   interface/option_export_window.ui
   interface/stats_viewer.ui
@@ -133,7 +139,7 @@
   common/Message.cpp
   common/Errors.cpp
   common/Tools.cpp
-  common/info.cpp
+  common/Info.cpp
   common/Session.cpp
   common/Memory.cpp
   # Data structure code files
@@ -161,19 +167,23 @@
   trace/Container.cpp
   trace/Trace.cpp
   # Render code files
+  render/Palette.cpp
   render/Geometry.cpp
   render/Hook_event.cpp
   render/Render.hpp
+  render/Minimap.cpp
   render/Render_opengl.cpp
   render/Render_svg.cpp
   render/render_stats_opengl.cpp
   render/render_stats_svg.cpp
   render/Ruler.cpp
-
   # Parser code files
-  parser/Definition.cpp
-  parser/Line.cpp
-  parser/File.cpp
+  parser/Parser.cpp
+  parser/ParserFactory.cpp
+  parser/ParsingThread.cpp
+  # Paje Parser
+  parser/PajeDefinition.cpp
+  parser/PajeFileManager.cpp
   parser/ParserDefinitionPaje.cpp
   parser/ParserEventPaje.cpp
   parser/ParserPaje.cpp
@@ -182,10 +192,12 @@
   statistics/Statistic.cpp
   statistics/Stats_window.cpp
   # Interface code files
-  interface/parsing_thread.cpp
+  interface/Settings_window.cpp
   interface/Interface_graphic.cpp
   # Plugin code file
   plugin/Command_window.cpp
+  plugin/Plugin_window.cpp
+  plugin/Plugin.cpp
   # Core code files
   core/Core.cpp
   # Main
@@ -196,6 +208,26 @@
   interface/vite.qrc
   )
 
+#############################################
+#           QtColorPicker
+#############################################
+SET(QTCOLORPICKERDIR
+  ${PROJECT_SOURCE_DIR}/externals/qtcolorpicker/src
+  )
+
+SET(VITE_HDRS
+  ${VITE_HDRS}
+  ${QTCOLORPICKERDIR}/qtcolorpicker.h
+  )
+
+SET(VITE_SRCS
+  ${VITE_SRCS}
+  ${QTCOLORPICKERDIR}/qtcolorpicker.cpp
+  )
+
+#############################################
+#                VBO
+#############################################
 IF(VITE_ENABLE_VBO)
   ADD_DEFINITIONS(-DWITH_VBO)
 
@@ -212,8 +244,9 @@
     )  
 ENDIF(VITE_ENABLE_VBO)
 
-
-
+#############################################
+#              OTF Parser
+#############################################
 IF(VITE_ENABLE_OTF)
   ADD_DEFINITIONS(-DWITH_OTF)
 
@@ -235,8 +268,33 @@
 
 ENDIF(VITE_ENABLE_OTF)
 
-# ADD_DEFINITIONS(-DMEMORY_USAGE -DMEMORY_TRACE)
-
+#############################################
+#              TAU Parser
+#############################################
+IF(VITE_ENABLE_TAU)
+  ADD_DEFINITIONS(-DWITH_TAU)
+
+  SET(VITE_HDRS
+    ${VITE_HDRS}
+    parser/ParserTau.hpp
+    parser/TauStructs.hpp
+    )
+
+  SET(VITE_SRCS
+    ${VITE_SRCS}
+    parser/ParserTau.cpp
+    )
+
+  INCLUDE_DIRECTORIES(${TAU_INCLUDE_DIR})
+
+ENDIF(VITE_ENABLE_TAU)
+
+#ADD_DEFINITIONS(-DMEMORY_USAGE)
+#ADD_DEFINITIONS(-DMEMORY_TRACE)
+
+#############################################
+#              QT4
+#############################################
 QT4_AUTOMOC(${VITE_SRCS})
 FOREACH(_hdrs_file ${VITE_HDRS})
   GET_FILENAME_COMPONENT(_abs_file ${_hdrs_file} ABSOLUTE)
@@ -253,9 +311,12 @@
 
 ADD_DEFINITIONS(-DQT_NO_DEBUG)
 
+#############################################
+
 INCLUDE_DIRECTORIES(
   ${CMAKE_CURRENT_BINARY_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}
+  ${QTCOLORPICKERDIR}
 )
 
 ADD_EXECUTABLE(vite ${VITE_SRCS} ${VITE_MOC} ${VITE_RCC_SRCS})
@@ -276,4 +337,10 @@
     )
 ENDIF(VITE_ENABLE_OTF)
 
+IF(VITE_ENABLE_TAU)
+  TARGET_LINK_LIBRARIES(vite
+    ${TAU_LIBRARY}
+    )
+ENDIF(VITE_ENABLE_TAU)
+
 INSTALL_TARGETS(/bin vite)
