=== debian/changelog ===
vite (1.2-3) unstable; urgency=low

  * rules: Replace rules with mere dh.
  * control: Build-depend on debhelper >= 7.0.50 to get dh.
  * source/format: Switch to 3.0 (quilt) format.
  * patches/gold-fix.diff: Fix link failure with gold.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 20 Feb 2011 18:06:54 +0100

vite (1.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Feb 2011 04:42:42 +0100

vite (1.2-1) experimental; urgency=low

  * New upstream release
  - format: Improve OTF support.
  - performance: Reduce the time to parse a file.
  - improvement: Minimap, plugin interface, recent file menu.
  * debian/copyright: Extend ViTE developers' copyright to 2010. Add copyright
    information for qtcolorpicker and tau.
  * debian/docs: Rename documentation to docs.
  * debian/rules: Likewise.
  * debian/rules: Drop --enable_otf (now enabled by default).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 11 Sep 2010 20:45:05 +0200

vite (1.1-3) unstable; urgency=low

  * debian/rules: Run ./configure through bash instead of sh.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 25 Aug 2010 00:56:44 +0200

vite (1.1-2) unstable; urgency=low

  * debian/control:
    - Bump libqt4-dev build-dep version to >= 4:4.6, as previous versions get
    random crashes with newer X servers.
    - Bump Standards-Version to 3.9.1 (no change needed).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Aug 2010 21:39:11 +0200

vite (1.1-1) unstable; urgency=low

  New upstream release
  * format: Add partial OTF support.
  * performance: Reduce the time to parse a file.
  * improvement: More exports available (png, jpeg and counter in raw format).
  * Closes: Bug#565045.

  * control: Add ${misc:Depends}.
  * debian/control: Bump Standards-Version to 3.8.4 (no change needed).
  * debian/copyright: Fix the copyright sign.
  * debian/control: Remove the freeglut3-dev build-depend, add the zlib1g-dev.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 09 Feb 2010 23:27:00 +0100

vite (1.0+svn834-5) unstable; urgency=low

  * src/general/Tools.hpp: Add #include <cstdio> to fix FTBFS with gcc-4.4
    (Closes: Bug#547331).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 18 Sep 2009 23:52:56 +0200

vite (1.0+svn834-4) unstable; urgency=low

  * control: Really replace freeglut-dev Build-dependency with freeglut3-dev
    (Closes: Bug#545641).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 18 Sep 2009 02:23:35 +0200

vite (1.0+svn834-3) unstable; urgency=low

  * control: Replace freeglut-dev Build-dependency with freeglut3-dev, as the
    former is not provided by the latter any more (Closes: Bug#545641).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 08 Sep 2009 13:51:03 +0200

vite (1.0+svn834-2) unstable; urgency=low

  * Drop texlive-lang-french dependency.
  * Bump Standards-Version to 3.8.3 (no change needed).
  * control:
    - Add Multi-Arch: foreign header.
    - Fix typo in description (Closes: #543490).
    - Replace libglut3-dev Build-dependency with freeglut-dev (Closes: #543705).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 26 Aug 2009 17:27:12 +0200

vite (1.0+svn834-1) unstable; urgency=low

  * Initial release. (Closes: #533414)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 18 Aug 2009 21:48:49 +0200
