=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	/bin/bash ./configure

override_dh_auto_build:
	$(MAKE) all
	$(MAKE) -C docs/user_manual
	$(MAKE) -C docs/technical_manual

override_dh_auto_install:

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean DOCUMENTATION=docs
	[ ! -f externals/otf/Makefile ] || $(MAKE) -C externals/otf/ distclean
	dh_auto_clean
	-rm -f config.log
	-rm -f Makefile.in
	-rm -f docs/user_manual/user_manual.bbl
	-rm -f docs/user_manual/user_manual.blg
