## vite 1.2%2Bsvn1430

=== plugins/CMakeLists.txt ===
#
# 
#

### ViTE optional plugins
option(VITE_PLUGINS_DISTRIBUTIONS
  "Enable the distribution plugin." OFF)
option(VITE_PLUGINS_TRACEINFOS
  "Enable the TraceInfos plugin." OFF)

include_directories(${CMAKE_SOURCE_DIR}/src)

if( VITE_PLUGINS_DISTRIBUTIONS )
  add_subdirectory(Distribution)
endif( VITE_PLUGINS_DISTRIBUTIONS )

if( VITE_PLUGINS_TRACEINFOS )
  add_subdirectory(TraceInfos)
endif( VITE_PLUGINS_TRACEINFOS )
