=== debian/control ===
--- 
+++ 
@@ -2,15 +2,17 @@
 Section: devel
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 7.0.50),
- libqt4-dev (>= 4:4.6), libqt4-opengl, libqt4-opengl-dev,
+Build-Depends: debhelper (>= 9.0.0),
+ cmake,
+ qttools5-dev, libqt5opengl5-desktop-dev,
  texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
+ libotf-trace-dev,
  texlive-fonts-recommended,
  ghostscript, zlib1g-dev
-Standards-Version: 3.9.1
+Standards-Version: 4.0.1
 Homepage: http://vite.gforge.inria.fr/
-Vcs-Browser: http://gforge.inria.fr/plugins/scmsvn/viewcvs.php/package/?root=vite
-Vcs-Svn: svn://scm.gforge.inria.fr/svn/vite/package
+Vcs-Browser: http://gforge.inria.fr/scm/browser.php?group_id=1596
+Vcs-Svn: svn://scm.gforge.inria.fr/svn/vite/tools/package
 
 Package: vite
 Architecture: any
