## vite 1.2%2Bsvn%2Bgit4.c6c0ce7

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,19 @@
 Section: devel
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper-compat (= 12),
  cmake,
- qttools5-dev, libqt5opengl5-desktop-dev,
+ qttools5-dev,
+ libqt5opengl5-desktop-dev, libqt5charts5-dev, libqt5svg5-dev,
+ libglm-dev, libglew-dev,
  texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
  libotf-trace-dev,
  texlive-fonts-recommended,
  ghostscript, zlib1g-dev
-Standards-Version: 4.0.1
+Standards-Version: 4.5.0
 Homepage: http://vite.gforge.inria.fr/
-Vcs-Browser: http://gforge.inria.fr/scm/browser.php?group_id=1596
-Vcs-Svn: svn://scm.gforge.inria.fr/svn/vite/tools/package
+Vcs-Browser: https://salsa.debian.org/debian/vite
+Vcs-Git: https://salsa.debian.org/debian/vite.git
 
 Package: vite
 Architecture: any
